path: /build/build/libabw-app-text-0.1.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge app-text/libabw -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps app-text/libabw
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libabw && luet-portage --dir /pkgdir/libabw
    app-text/libabw && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: libabw
    version: 0.1.2
    category: app-text
    use_flags:
    - -doc
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library parsing abiword documents
    uri:
    - https://wiki.documentfoundation.org/DLP/Libraries/libabw
    license: MPL-2.0
    buildtimestamp: 2023-10-06 15:44:16.083526262 +0000 UTC m=+173.525523934
    labels:
      DEPEND: dev-libs/librevenge dev-libs/libxml2 sys-libs/zlib >=dev-libs/boost-1.46
        sys-devel/libtool virtual/pkgconfig doc? ( app-doc/doxygen ) >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      IUSE: doc static-libs
      RDEPEND: dev-libs/librevenge dev-libs/libxml2 sys-libs/zlib
      emerge.packages: app-text/libabw
      kit: text-kit
      original.package.name: app-text/libabw
      original.package.slot: "0"
      original.package.version: 0.1.2
    treedir: /build/packages
  package_dir: /pkgdir/libabw
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 74dd54d007442d86417481073ee14f92c75b0ceec9b6a9c9869e30c0bc75820d
compressiontype: zstd
files:
- usr/bin/abw2html
- usr/bin/abw2raw
- usr/bin/abw2text
- usr/include/libabw-0.1/libabw/AbiDocument.h
- usr/include/libabw-0.1/libabw/libabw.h
- usr/lib64/libabw-0.1.so
- usr/lib64/libabw-0.1.so.1
- usr/lib64/libabw-0.1.so.1.0.2
- usr/lib64/pkgconfig/libabw-0.1.pc
- usr/share/doc/libabw-0.1.2/CREDITS.bz2
- usr/share/doc/libabw-0.1.2/ChangeLog.bz2
- usr/share/doc/libabw-0.1.2/NEWS.bz2
- usr/share/doc/libabw-0.1.2/README.bz2
- var/db/pkg/app-text/libabw-0.1.2/BUILD_TIME
- var/db/pkg/app-text/libabw-0.1.2/CATEGORY
- var/db/pkg/app-text/libabw-0.1.2/CBUILD
- var/db/pkg/app-text/libabw-0.1.2/CFLAGS
- var/db/pkg/app-text/libabw-0.1.2/CHOST
- var/db/pkg/app-text/libabw-0.1.2/CONTENTS
- var/db/pkg/app-text/libabw-0.1.2/COUNTER
- var/db/pkg/app-text/libabw-0.1.2/CXXFLAGS
- var/db/pkg/app-text/libabw-0.1.2/DEFINED_PHASES
- var/db/pkg/app-text/libabw-0.1.2/DEPEND
- var/db/pkg/app-text/libabw-0.1.2/DESCRIPTION
- var/db/pkg/app-text/libabw-0.1.2/EAPI
- var/db/pkg/app-text/libabw-0.1.2/FEATURES
- var/db/pkg/app-text/libabw-0.1.2/HOMEPAGE
- var/db/pkg/app-text/libabw-0.1.2/INHERITED
- var/db/pkg/app-text/libabw-0.1.2/IUSE
- var/db/pkg/app-text/libabw-0.1.2/IUSE_EFFECTIVE
- var/db/pkg/app-text/libabw-0.1.2/KEYWORDS
- var/db/pkg/app-text/libabw-0.1.2/LDFLAGS
- var/db/pkg/app-text/libabw-0.1.2/LICENSE
- var/db/pkg/app-text/libabw-0.1.2/NEEDED
- var/db/pkg/app-text/libabw-0.1.2/PF
- var/db/pkg/app-text/libabw-0.1.2/PROVIDES
- var/db/pkg/app-text/libabw-0.1.2/RDEPEND
- var/db/pkg/app-text/libabw-0.1.2/REQUIRES
- var/db/pkg/app-text/libabw-0.1.2/SIZE
- var/db/pkg/app-text/libabw-0.1.2/SLOT
- var/db/pkg/app-text/libabw-0.1.2/USE
- var/db/pkg/app-text/libabw-0.1.2/environment.bz2
- var/db/pkg/app-text/libabw-0.1.2/libabw-0.1.2.ebuild
- var/db/pkg/app-text/libabw-0.1.2/repository
package_cacheimage: ""
runtime:
  name: libabw
  version: 0.1.2
  category: app-text
  use_flags:
  - -doc
  requires:
  - name: librevenge
    version: '>=0'
    category: dev-libs
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library parsing abiword documents
  uri:
  - https://wiki.documentfoundation.org/DLP/Libraries/libabw
  license: MPL-2.0
  labels:
    DEPEND: dev-libs/librevenge dev-libs/libxml2 sys-libs/zlib >=dev-libs/boost-1.46
      sys-devel/libtool virtual/pkgconfig doc? ( app-doc/doxygen ) >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    IUSE: doc static-libs
    RDEPEND: dev-libs/librevenge dev-libs/libxml2 sys-libs/zlib
    emerge.packages: app-text/libabw
    kit: text-kit
    original.package.name: app-text/libabw
    original.package.slot: "0"
    original.package.version: 0.1.2
